# Vidu Q3 Pro Image-to-Video - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-vidu-q3-pro-i2v

# Vidu Q3 Pro Image-to-Video

POST

/

v3

/

async

/

vidu-q3-pro-i2v

Vidu Q3 Pro Image-to-Video

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q3-pro-i2v \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"seed": 123,
"audio": "&#x3C;string>",
"style": "&#x3C;string>",
"images": [
"&#x3C;string>"
],
"is_rec": true,
"prompt": "&#x3C;string>",
"wm_url": "&#x3C;string>",
"duration": 123,
"off_peak": true,
"watermark": true,
"resolution": "&#x3C;string>",
"wm_position": "&#x3C;string>",
"aspect_ratio": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/v3/async/vidu-q3-pro-i2v"payload = { "seed": 123, "audio": "&#x3C;string>", "style": "&#x3C;string>", "images": ["&#x3C;string>"], "is_rec": True, "prompt": "&#x3C;string>", "wm_url": "&#x3C;string>", "duration": 123, "off_peak": True, "watermark": True, "resolution": "&#x3C;string>", "wm_position": "&#x3C;string>", "aspect_ratio": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ seed: 123, audio: '&#x3C;string>', style: '&#x3C;string>', images: ['&#x3C;string>'], is_rec: true, prompt: '&#x3C;string>', wm_url: '&#x3C;string>', duration: 123, off_peak: true, watermark: true, resolution: '&#x3C;string>', wm_position: '&#x3C;string>', aspect_ratio: '&#x3C;string>' })};fetch('https://api.novita.ai/v3/async/vidu-q3-pro-i2v', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/async/vidu-q3-pro-i2v", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'seed' => 123, 'audio' => '&#x3C;string>', 'style' => '&#x3C;string>', 'images' => [ '&#x3C;string>' ], 'is_rec' => true, 'prompt' => '&#x3C;string>', 'wm_url' => '&#x3C;string>', 'duration' => 123, 'off_peak' => true, 'watermark' => true, 'resolution' => '&#x3C;string>', 'wm_position' => '&#x3C;string>', 'aspect_ratio' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/async/vidu-q3-pro-i2v"	payload := strings.NewReader("{\n \"seed\": 123,\n \"audio\": \"&#x3C;string>\",\n \"style\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"is_rec\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/async/vidu-q3-pro-i2v") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"seed\": 123,\n \"audio\": \"&#x3C;string>\",\n \"style\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"is_rec\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/async/vidu-q3-pro-i2v")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"seed\": 123,\n \"audio\": \"&#x3C;string>\",\n \"style\": \"&#x3C;string>\",\n \"images\": [\n \"&#x3C;string>\"\n ],\n \"is_rec\": true,\n \"prompt\": \"&#x3C;string>\",\n \"wm_url\": \"&#x3C;string>\",\n \"duration\": 123,\n \"off_peak\": true,\n \"watermark\": true,\n \"resolution\": \"&#x3C;string>\",\n \"wm_position\": \"&#x3C;string>\",\n \"aspect_ratio\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Vidu Q3 Pro Image-to-Video transforms static images into dynamic videos with natural motion and smoother scene dynamics while maintaining subject consistency.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-seed)

seed

integer

Random seed for reproducibility; 0 or omit for random generationValue range: [0, 2147483647]

[​](#param-audio)

audio

string

Custom audio URL for video background music; supports mp3, wav, m4a, flac; max 20MB

[​](#param-style)

style

string

default:"general"

Visual style of output; general for realistic, anime for animated styleOptional values: `general`, `anime`

[​](#param-images)

images

string[]

required

Reference image URLs for video generation; supports `.jpg`, `.jpeg`, `.png`, `.webp`.
Max file size 50MB per image; aspect ratio must be between 1:4 and 4:1.
only support one image input now.

[​](#param-is-rec)

is_rec

boolean

default:false

Enable audio scene matching; when true, matches audio rhythm to video motion

[​](#param-prompt)

prompt

string

Motion description for video generation; describes scene motion, actions, and dynamics.Length limit: 0 - 1500

[​](#param-wm-url)

wm_url

string

Custom watermark image URL; supports png, jpeg, jpg, webp; max 10MB

[​](#param-duration)

duration

integer

default:5

Video length in secondsValue range: [1, 16]

[​](#param-off-peak)

off_peak

boolean

default:false

Use off-peak pricing; when true, task is queued for off-peak processing at reduced cost

[​](#param-watermark)

watermark

boolean

default:false

Enable watermark on output video

[​](#param-resolution)

resolution

string

default:"720p"

Output video resolutionOptional values: `540p`, `720p`, `1080p`

[​](#param-wm-position)

wm_position

string

Watermark position on videoOptional values: `top-left`, `top-right`, `bottom-left`, `bottom-right`

[​](#param-aspect-ratio)

aspect_ratio

string

default:"16:9"

Output video aspect ratioOptional values: `16:9`, `9:16`, `4:3`, `3:4`, `1:1`

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on July 3, 2026
